<?php

namespace App\Models;

use App\Support\Log;
use Illuminate\Database\Eloquent\Model;

class KxThree9LuckyRecord extends Model
{
    public $timestamps = false;
    protected $table = 'kx_three9_lucky_record';
    protected static $unguarded = true;

    public static function setRecord($uid, $phone, $name, $adress)
    {
    	$record = KxThree9LuckyRecord::where('uid', $uid)->orderBy('id', 'desc')->first();
        if(empty($record)){
            $record = new KxThree9LuckyRecord;
            $record->uid = $uid;
        }
        
        $record->phone = $phone;
        $record->name = $name;
        $record->adress = $adress;

        return $record->save();
    }
}

