<?php

namespace kwaiSDK\Api\JinNiu;

use kwaiSDK\Api\Request;

class Account extends Request
{
    /**
     * 账户流水
     * @param array $data
     * @return mixed
     */
    public function financeFlowList(array $data=[]){
        $this->type = 'POST';
        $this->path = '/account/finance/flow/list';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 查询账户资质
     * @param array $data
     * @return mixed
     */
    public function qualificationInfo(array $data=[]){
        $this->type = 'POST';
        $this->path = '/account/qualification/info';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 查询账户余额
     * @param array $data
     * @return mixed
     */
    public function balanceInfo(array $data=[]){
        $this->type = 'POST';
        $this->path = '/account/balance/info';
        $this->data = $data;

        return $this->exec();
    }
}
