<?php


namespace kwaiSDK\Api\JinNiu;

use kwaiSDK\Api\Request;

class Filemanage extends Request
{
    /**
     * 上传视频
     * @param array $data
     * @return mixed
     */
    public function videoUpload(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/filemanage/video/upload';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 查询视频库
     * @param array $data
     * @return mixed
     */
    public function videoList(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/filemanage/video/list';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 视频标签查询
     * @param array $data
     * @return mixed
     */
    public function videoTagList(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/filemanage/video/tag/list';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 查询视频信息
     * @param array $data
     * @return mixed
     */
    public function videoInfoQuery(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/filemanage/video/info/query';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 上传图片
     * @param array $data
     * @return mixed
     */
    public function picUpload(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/filemanage/pic/upload';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 图片列表查询
     * @param array $data
     * @return mixed
     */
    public function picList(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/filemanage/pic/list';
        $this->data = $data;

        return $this->exec();
    }
}
