<?php

namespace kwaiSDK\Api\JinNiu;

use kwaiSDK\Api\Request;

class Report extends Request
{
    /**
     * 广告列表查询
     * @param array $data
     * @return mixed
     */
    public function adSearch(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/report/ad/search';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 报表查询
     * @param array $data
     * @return mixed
     */
    public function list(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/report/list';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 自定义列查询
     * @param array $data
     * @return mixed
     */
    public function metaData(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/report/meta_data';
        $this->data = $data;

        return $this->exec();
    }
}
