<?php


namespace kwaiSDK\Api\JinNiu;

use kwaiSDK\Api\Request;

class Tool extends Request
{
    /**
     * 获取推荐理由
     * @param array $data
     * @return mixed
     */
    public function ecomCreativeWordList(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/tool/ecom/creativeWord/list';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 获取地域信息
     * @param array $data
     * @return mixed
     */
    public function regionList(array $data=[])
    {
        $this->type = 'POST';
        $this->path = '/tool/region/list';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 获取购物意图信息
     * @param array $data
     * @return mixed
     */
    public function purchaseIntentionList(array $data=[])
    {
        $this->type = 'GET';
        $this->path = '/tool/purchase_intention/list';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 获取网红信息-网红查询
     * @param array $data
     * @return mixed
     */
    public function celebritySearch(array $data=[])
    {
        $this->type = 'GET';
        $this->path = '/tool/celebrity/search';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 获取网红信息-网红分类
     * @param array $data
     * @return mixed
     */
    public function celebrityList(array $data=[])
    {
        $this->type = 'GET';
        $this->path = '/tool/celebrity/list';
        $this->data = $data;

        return $this->exec();
    }
}
