<?php

namespace kwaiSDK\Api\JuXing;

use kwaiSDK\Api\Request;

class SupplementOrderV1 extends Request
{
    /**
     * 创建流量助推订单
     * @param array $data
     * @return mixed
     */
    public function videoCreate(array $data=[])
    {
        $this->type    = 'POST';
        $this->path    = '/v1/supplement_order/video/create';
        $this->data    = $data;

        return $this->exec();
    }

    /**
     * 停投流量助推订单
     * @param array $data
     * @return mixed
     */
    public function stop(array $data=[])
    {
        $this->type    = 'POST';
        $this->path    = '/v1/supplement_order/stop';
        $this->data    = $data;

        return $this->exec();
    }

    /**
     * 查询账户支持的支付方式
     * @param array $data
     * @return mixed
     */
    public function payMethod(array $data=[])
    {
        $this->type    = 'POST';
        $this->path    = '/v1/supplement_order/pay_method';
        $this->data    = $data;

        return $this->exec();
    }
}
