<?php

namespace kwaiSDK\Api\PubUse;

use kwaiSDK\Api\Request;

class Authorize extends Request
{
    /**
     * 获取 token
     * @param array $data
     * @return mixed
     */
    public function accessToken(array $data=[]){
        $this->type = 'POST';
        $this->path = '/authorize/access_token';
        $this->data = $data;

        return $this->exec();
    }

    /**
     * 刷新 token
     * @param array $data
     * @return mixed
     */
    public function refreshToken(array $data=[]){
        $this->type = 'POST';
        $this->path = '/authorize/refresh_token';
        $this->data = $data;

        return $this->exec();
    }
}
